Bug 854730 - (CVE-2012-4404) CVE-2012-4404 moin: Improper ACL rules enforcement due to a bug in the way virtual groups were handled previously during ACL evaluation
CVE-2012-4404 moin: Improper ACL rules enforcement due to a bug in the way vi...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120903,repor...
: Security
Depends On: 854733 854739
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 13:06 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 17:36:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-05 13:06:33 EDT
A security flaw was found in the way MoinMoin, a wikiengine to collaborate on easily editable web pages, performed enforcement of access control list (ACL) rules for certain virtual groups. Previously if the group contained special members like "All", "Known" or "Trusted" due to a bug virtual groups handling, the ACL evaluation code was checking if they are present in the NAME group (and not as intended in the MEMBERS group). This problem caused that trusted users were not properly included into groups, they should be and vice versa (untrusted users weren not excluded from group membership as they should have been).

Upstream patch:
[1] http://hg.moinmo.in/moin/1.9/rev/7b9f39289e16

References:
[2] http://www.openwall.com/lists/oss-security/2012/09/04/4
[3] http://www.openwall.com/lists/oss-security/2012/09/05/2
Comment 1 Jan Lieskovsky 2012-09-05 13:09:45 EDT
This issue affects the version of the moin package, as shipped with Fedora release of 16 and 17. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-09-05 13:10:36 EDT
Created moin tracking bugs for this issue

Affects: fedora-all [bug 854733]
Comment 3 Jan Lieskovsky 2012-09-05 13:32:05 EDT
It actually looks that despite of the fact MoinMoin upstream to claim that versions of moin prior to 1.9 not being affected by this issue:
http://hg.moinmo.in/moin/1.9/rev/7b9f39289e16

that this problem affects also the version of the moin package, as shipped with Fedora EPEL 5 (moin-1.5.9-1.el5).

Justification:

The ACL rules / code implementation, that now resides in 'security/__init__.py' was before located in 'moin-1.5.9/MoinMoin/wikiacl.py'. From the 1.9.4 ChangeLog file:

docs/CHANGES:1879:    * Moved wikiacl.py to security/__init__.py.

and the relevant routine in 'wikiacl.py', present in moin-1.5.9 version truly reminds the affected code from 1.9.4 version.

Matthias, could you please check the provided testcase (test_security.py) from upstream patch [1] if it would work (probably after back port) against Fedora EPEL 5 moin 1.5.9 based version too?

Thank you, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team
Comment 4 Jan Lieskovsky 2012-09-05 13:35:37 EDT
Created moin tracking bugs for this issue

Affects: epel-5 [bug 854739]
Comment 5 Ville-Pekka Vainio 2012-09-06 13:31:20 EDT
Updates built and submitted for the Fedora versions. The EPEL 5 version is unmaintained, I won't be submitting updates for it.
Comment 6 Fedora Update System 2012-09-17 13:36:26 EDT
moin-1.9.4-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-09-17 13:43:16 EDT
moin-1.9.4-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-17 18:44:18 EDT
moin-1.9.4-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.